[Deprecated]: V1.0
get
/ec-designer-svc/rest/v1.0/studies/{studyId}/versions/{version}/kits
Deprecated: Use latest version instead. Retrieves kit definitions configured for the specified study version. Optional kitType and kitTypeExclude query parameters filter which kit categories are returned. The response includes kit settings, unit settings, dosing details, titration settings, advanced dosing groups, and validation details when present.
Request
Path Parameters
-
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
F054C951EB74443C93716CA714AB686E -
version(required): string
Study version path segment. Required. Example: "1.0.0.1".Example:
1.0.0.1
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : schema
Type:
Show Source
array-
Array of:
object KitDto v1.0
Title:
KitDto v1.0Kit details.
Nested Schema : KitDto v1.0
Type:
objectTitle:
KitDto v1.0Kit details.
Show Source
-
distributionSetting: string
Kit distribution settingExample:
BLINDED -
dosage: number
(double)
Dosage.Example:
50 -
id: string
(uuid)
-
isDefault: boolean
Is kit default.Example:
true -
kitDescription: string
Kit descriptionExample:
ORS-123(IP 0.01%) -
kitid: string
(uuid)
Kit GUID
-
kitTypeId: string
Kit type id/nameExample:
Type -
minShipUnits: integer
(int64)
Min units to ship.Example:
5 -
storageSetting: string
Kit storage settingExample:
AMBIENT -
studyId: string
(uuid)
Study GUID
-
studyVersionEnd: string
(date-time)
Study version end
-
studyVersionStart: string
(date-time)
Study version start
-
trialSupplyType: string
Kit trial supply typeExample:
BOTTLE -
unitsPerKit: number
(double)
Units per kit.Example:
5 -
versionEnd: string
(date-time)
Version End
-
versionStart: string
(date-time)
Version Start dateExample:
2018-11-23T08:43:01.7Z
Examples
500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}